classification
Title: ctypes exposing the pep 3118 buffer interface
Type: enhancement Stage:
Components: Extension Modules Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: theller Nosy List: teoliphant, theller
Priority: critical Keywords: patch

Created on 2008-01-30 08:15 by theller, last changed 2008-04-30 17:35 by theller. This issue is now closed.

Files
File name Uploaded Description Edit
ctypes-pep3118.patch theller, 2008-01-30 08:15
Messages (3)
msg61844 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2008-01-30 08:15
The attached patch against py3k makes ctypes expose the pep 3118 buffer
interface.
The code is also available in the py3k-ctypes-pep3118 branch.
msg64196 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2008-03-20 19:28
Travis, can you please review this / when can you review this issue for
compliance with pep 3118?
msg66011 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2008-04-30 17:35
Instead of waiting for review I've committed this as rev 62597.
History
Date User Action Args
2008-04-30 17:35:49thellersetstatus: open -> closed
assignee: theller
resolution: fixed
messages: + msg66011
2008-03-20 19:28:23thellersetnosy: + teoliphant
messages: + msg64196
2008-01-30 08:15:52thellercreate